Skip to main content

Create a company

Create a company.

Parameters

name
string
required
Name of the company. Must be unique within the workspace.
initials
nullable string
Initials of the company.
website
nullable string
Website URL of the company.
email
nullable string
Contact email address of the company.
phone_number
nullable string
Contact phone number of the company.
address
nullable string
Address of the company.

Returns

Returns the created company object. Throws an error if some parameters are not valid.

post
/api/companies
curl -X POST https://{workspace}.kitchen.co/api/companies \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"id": "co_2ec8ed9533b64ccf8f91a5a3",
"name": "Kitchen Partners",
"initials": "KP",
"website": "https://kitchenpartners.example",
"email": "hello@kitchenpartners.example",
"phone_number": "+1 202 555 0198",
"address": "350 Market Street, San Francisco, CA",
"created_at": "2026-03-26T10:15:30+00:00"
}